
---- CRYSTALISE - an original action / puzzler ----
---- Copyright (c) 2005 Peter Thoman ----
-------------------------------------------------------------------------------
---- Released under the terms of the MIT license.
---- Read license.txt for details.
-------------------------------------------------------------------------------

screen:clear(); screen.flip(); screen:clear()
load = Image.load("imgs/loading.png")
screen:blit(32, 32, load); screen.flip()
screen:blit(32, 32, load); screen.flip()
load = nil

dofile("src/setup.lua")

repeat
	MusicPlayer:playMenu()
	intro()
	MainMenu:run()
	
	if MainMenu.start then
		Game:start()
	end
until (MainMenu.quit or globalquit)

Music.stop()
GlobalCallbacks:cleanup()
System.exit()
